Get schema registry settings

Prev Next

Available in VPC

Get the compatibility setting status of topic's schema registry.

Note

You can check the compatibility settings for each key and value schema and verify the existence of schemas.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/topics/{topicId}/registry-config

Request headers

For information about the headers common to all Data Stream APIs, see Data Stream request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
topicId String Required Topic ID

Request example

The request example is as follows:

curl --location --request GET 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/registry-config' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
keyCompatibility Object - Key schema compatibility information
keyCompatibility.compatibilityLevel Boolean - Key schema compatibility activation
  • true: Enable compatibility check (BACKWARD)
  • false: Disable compatibility check (NONE)
keyCompatibility.isSchemaExist Boolean - Key schema existence
valueCompatibility Object - Value schema compatibility information
valueCompatibility.compatibilityLevel Boolean - Value schema compatibility activation
  • true: Enable compatibility check (BACKWARD)
  • false: Disable compatibility check (NONE)
valueCompatibility.isSchemaExist Boolean - Value schema existence

Response status codes

For information about the HTTP status codes common to all Data Stream APIs, see Data Stream response status codes.

Response example

The response example is as follows:

{
    "keyCompatibility": {
        "compatibilityLevel": true,
        "isSchemaExist": true
    },
    "valueCompatibility": {
        "compatibilityLevel": false,
        "isSchemaExist": false
    }
}